package eu.openaire.urls_controller.models;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonPropertyOrder;


@JsonInclude(JsonInclude.Include.NON_NULL)
@JsonPropertyOrder({
        "status",
        "payload"
})
public class UrlReport {

    @JsonProperty("status")
    private String status;

    @JsonProperty("payload")
    private Payload payload;


    public UrlReport(String status, Payload payload) {
        this.status = status;
        this.payload = payload;
    }


    public String getStatus() {
        return this.status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public Payload getPayload() {
        return payload;
    }

    public void setPayload(Payload payload) {
        this.payload = payload;
    }

    @Override
    public String toString() {
        return "UrlReport{" +
                "status='" + status + '\'' +
                ", payload=" + payload +
                '}';
    }
}
